List alert webhook events
curl --request GET \
--url https://api.portalhq.io/api/v3/custodians/me/alerts/webhooks/{alertWebhookId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/custodians/me/alerts/webhooks/{alertWebhookId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/custodians/me/alerts/webhooks/{alertWebhookId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"blockNumber": 7313326,
"chainId": "eip155:11155111",
"confirmed": 1,
"createdAt": "2024-12-19T20:08:17.086Z",
"deliveryStatus": "success",
"errorMessage": null,
"id": "85f3d2f7-b2ff-417d-b9cb-dc9823b4ae61",
"retries": 0,
"transactionHashes": [
"0x4978a4ba15a018532791ba4491e48b1aa8b544309c1ffce062bb1fb7e84dc069"
],
"type": "EIP_155_TX_V1",
"updatedAt": "2024-12-19T20:08:17.086Z"
}
],
"metadata": {
"alertWebhook": {
"id": "alertWebhookId1",
"url": "https://example.com/alerts/webhooks/1/events"
},
"cursor": null,
"limit": 100,
"total": 4
}
}{
"error": "<string>"
}{
"error": "<string>"
}Alert Webhooks
List alert webhook events
deprecated
Retrieve a list of events sent to your alert webhook, including those that failed to be delivered.
GET
/
custodians
/
me
/
alerts
/
webhooks
/
{alertWebhookId}
/
events
List alert webhook events
Authorizations
Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.
Path Parameters
The unique identifier of the alert webhook.
Query Parameters
The alert webhook event types to filter by.
Available options:
EIP_155_TX_V1 Filter by delivery status.
Available options:
success, failed, pending Returns only events that occurred after this Unix timestamp.
Returns only events that occurred before this Unix timestamp.
The alert webhook event ID for cursor-based pagination.
The number of events to retrieve. Default is 100.
Filter by transaction hash.
Filter by block numbers (comma-delimited).
Filter by CAIP-2 chain IDs (comma-delimited).
Was this page helpful?